Name:           python-pycparser
Summary:        A parser for the C language
Version:        2.21
Release:        2
License:        BSD
URL:            http://github.com/eliben/pycparser
Source0:        http://github.com/eliben/pycparser/archive/release_v%{version}.tar.gz
# source1 from https://koji.fedoraproject.org/koji/buildinfo?buildID=1092324
Source1:        pycparser-0.91.1-remove-relative-sys-path.py
# patch1 is adapted from https://koji.fedoraproject.org/koji/buildinfo?buildID=1092324
# remove embedded libraries during packaging
Patch01:        pycparser-2.10-ply.patch
Patch02:        skip-test_examples.patch

BuildArch:      noarch

BuildRequires:  python3-pycparser python3-unversioned-command
# for unit tests
BuildRequires:  dos2unix python3-devel python3-setuptools python3-ply

%description
pycparser is a parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications
that need to parse C source code.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}

%package -n python3-pycparser
Summary:        A parser for the C language
Group:          System Environment/Libraries
Requires:       python3-ply
Provides:       python%{python3_pkgversion}dist(pycparser) = %{version}
Provides:       python%{python3_version}dist(pycparser) = %{version}
%{?python_provide:%python_provide python3-pycparser}

%description -n python3-pycparser
pycparser is a parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications
that need to parse C source code.
This package is for Python3.
%prep
%autosetup -n pycparser-release_v%{version} -p1
%{__python3} %{SOURCE1} examples
dos2unix LICENSE

%build
%py3_build
pushd build/lib/pycparser
%{__python3} _build_tables.py
popd

%install
%py3_install

%check
%{__python3} -m unittest discover

%files devel
%defattr(-,root,root)
%doc examples

%files -n python3-pycparser
%defattr(-,root,root)
%license LICENSE
%{python3_sitelib}/pycparser/
%{python3_sitelib}/pycparser-*.egg-info

%changelog
* Wed Oct 26 2022 zhangruifang <zhangruifang1@h-partners.com> - 2.21-2
- Rebuild for next release

* Sun Dec 26 2021 renhongxun<renhongxun@huawei.com> - 2.21-1
- upgrade version to 2.21

* Fri Oct 30 2020 tianwei<tianwei12@huawei.com> - 2.20-3
- remove python2

* Sat Sep 5 2020 shixuantong<shixuantong@huawei.com> - 2.20-2
- update source0 and change tar package name

* Tue Jul 28 2020 jinzhimin<jinzhimin2@huawei.com> - 2.20-1
- update to 2.20

* Sun Sep 15 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.19-1
- Package init
